package thyyxxk.webserver.entity.datamodify;

import com.alibaba.fastjson.JSON;
import lombok.Data;
import lombok.experimental.Accessors;
import thyyxxk.webserver.utils.StringUtil;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @author xc
 */
@Data
@Accessors(chain = true)
public class SelectValueObject {
    private String value;
    private String label;

    public static void main(String[] args) {
        List<SelectValueObject> list = new ArrayList<>();

        for (int i = 0; i < 10; i++) {
            SelectValueObject obj = new SelectValueObject();
            list.add(obj.setValue("a" + i).setLabel("b" + i));
        }

        System.out.println(JSON.toJSONString(list));

    }

    public String getValue() {
        if (StringUtil.isBlank(value)) {
            return null;
        }
        Map<String, String> map = new HashMap<>(2);
        map.put("value", value);
        map.put("label", label);
        return JSON.toJSONString(map);
    }

    public String getId() {
        return value;
    }
}


